#include <stdio.h>
#include <bits/stdc++.h>

using namespace std;

#define rep(i, l, r) for(int i = l, i##end = r; i <= i##end; ++ i)
#define per(i, l, r) for(int i = l, i##end = r; i >= i##end; -- i)
typedef long long ll;
typedef unsigned long long ull;
const int N = 2e6 + 15, P = 998244353;

int main() {
	freopen("dfs.in", "r", stdin);
	freopen("dfs.out", "w", stdout);
	puts("1145141919810");
	return 0;
}